Z-PUSH-TOP(1)

NAME
z-push-top — top-like overview of Z-push

SYNOPSIS
z-push-top

DESCRIPTION
z-push-top is a live top-like overview of what Z-push is doing.

OPTIONS
None.

USAGE
When z-push-top is running you can specify certain actions and options which can be executed (listed below). This help information can also be shown inside z-push-top by hitting help or h.

  h,help
Displays this information.

  q,quit,:q
Exits z-push-top.

  w,wide
Tries not to truncate data. Automatically done if more than 180 columns available.

  f:VAL,filter:VAL
Only display connections which contain VAL. This value is case-insensitive.

  f:,filter:
Without a search word: resets the filter.

  l:STR,log:STR
Issues 'less +G' on the logfile, after grepping on the optional STR.

  t:STR,tail:STR
Issues 'tail -f' on the logfile, grepping for optional STR.

  e:STR,error:STR
Issues 'tail -f' on the error logfile, grepping for optional STR.

  r,reset
Resets 'wide' or 'filter'.

  o:,option:
Sets display options. Valid options are:

p,push
    Lists/does not list active and open push connections.

a,action
    Lists only active connections.

u,unknown
    Lists only unknown connections.

10,20
    Lists terminated connections for 10 or 20 seconds. Any other number can be used.

d,default
    Use default display options.

SEE ALSO
https://wiki.z-hub.io/display/ZP/Tools:+z-push-top